Solución de problemas de «Inicio de Jamf Pro suspendido»

Síntoma/errorExplicaciónSolución
Una o más tablas de la base de datos MySQL usan el motor de almacenamiento MyISAM

Recibes este error si una o más tablas de la base de datos MySQL usan el motor de almacenamiento MyISAM. A partir de Jamf Pro 10.10.0, todas las tablas de base de datos MySQL deben usar el motor de almacenamiento InnoDB.

Para corregir este problema, debes convertir todas las tablas de base de datos MySQL que usen MyISAM a InnoDB. Si quieres instrucciones, consulta el artículo Converting the MySQL Database Storage Engine from MyISAM to InnoDB Using the Jamf Pro Server Tools Command-Line Interface (Conversión del motor de almacenamiento de base de datos MySQL de MyISAM a InnoDB usando la interfaz de la línea de comandos de las herramientas de servidor de Jamf Pro).

Error al crear el certificado de la autoridad certificadora (CA)

Puedes recibir este error si hay más de un certificado CA en la tabla de la base de datos, un problema al generar un nuevo certificado CA o uno de los siguientes problemas con la base de datos:

  • No se puede bloquear la tabla del certificado CA
  • No se puede insertar el nuevo certificado CA
  • No se puede leer el certificado CA existente
Para corregir este problema, contacta con Soporte de Jamf.
No se han instalado archivos de Java Cryptography Extension (JCE)

Puedes recibir este error si el tipo de encriptación ofrecido por la JCE no está presente en la base de datos.

Para corregir este problema:

  1. Descarga los archivos de política de jurisdicción de fuerza ilimitada 1.7 o posterior de Java Cryptography Extension (JCE).

    Puedes descargar el último JCE (debe ser la misma versión que Java) desde Oracle.

  2. Copia los siguientes archivos desde la carpeta extraída en una de las siguientes ubicaciones:

    • macOS:

      /Library/Java/JavaVirtualMachines/jdk<version>.jdk/Contents/Home/jre/lib/security/ - local_policy.jar - US_export_policy.jar
    • Windows 2008:

      C:\ProgramFiles\Java\jre<version>\lib\security\ - local_policy.jar - US_export_policy.jar
  3. Acepta reemplazar los archivos existentes.

Nota:

Como solución provisional, puedes volver a la versión anterior de Jamf Pro. Si quieres más información, consulta el artículo https://docs.jamf.com/technical-articles/index.html?contextid=350.

Error al actualizar el esquema de la base de datos

Puedes recibir este error durante el cambio de versión del esquema de la base de datos. El error se puede producir en los siguientes pasos:

  • Al renombrar tablas
  • Al renombrar columnas
  • Al actualizar el código de las tablas
  • Al modificar tablas
  • Al crear nuevas tablas

Para corregir este problema, contacta con Soporte de Jamf. No reinicies ni detengas Tomcat, ni reinicies el ordenador.

Cambio de versión de Jamf Pro 9.97.x o anterior a 10.2.0 o posteriorRecibes este error si intentas cambiar de versión desde Jamf Pro 9.97.x o anterior hasta 10.2.0 o posterior.Para corregir este problema, tienes que instalar Jamf Pro 10.0.0, y después cambiar a Jamf Pro 10.2.0 o posterior.